/// Support for doing something awesome.
///
/// More dartdocs go here.
library routex_web;

export 'package:routex_core/routex_core.dart'
    show
        Handler,
        RoutingContext,
        DependencyScope,
        RouterBindable,
        Controller,
        Router,
        ResponseStatusException,
        Objects,
        User,
        RoutingExecution,
        HttpServerRequest,
        Container;
export 'package:routex_web/src/http_server_request_impl.dart';
export 'package:routex_web/src/http_server_response_impl.dart';
export 'package:routex_web/src/route_impl.dart';
export 'package:routex_web/src/router_impl.dart';
export 'package:routex_web/src/routing_context_impl.dart';
export 'package:routex_web/src/routing_context_impl_base.dart';
export 'package:routex_web/src/routing_context_wrapper.dart';